# Formula document to classify a Landsat TM image of the shallow sea around South Caicos.
#
# This document uses two depth-invariant bottom index images DITM1.DAT and DITM2.DAT
# 
# Dense seagrass class boundaries
	CONST DenSeagMin1 = 4.46 ; CONST DenSeagMax1 = 5.10 ;
	CONST DenSeagMin2 = 5.00 ; CONST DenSeagMax2 = 5.35 ;

# Sparse seagrass class boundaries
	CONST SpSeagMin1 = 6.22 ;	CONST SpSeagMax1 = 6.70 ; 
	CONST SpSeagMin2 = 5.86 ; 	CONST SpSeagMax2 =6.20 ; 

# Sand class boundaries
	CONST SandMin1 = 6.75 ; CONST SandMax1 = 7.50 ;
	CONST SandMin2 = 6.25 ; CONST SandMax2 = 6.50 ;	

# Lobophora dominate algal area and coral patch reef class boundaries
	CONST LobCoralMin1 = 5.15 ; CONST LobCoralMax1 = 6.16 ;	
	CONST LobCoralMin2 = 5.42 ; CONST LobCoralMax2 = 5.90 ;	

# Dense Monastrea reef class boundaries	
	CONST MontMin1 = 3.70 ; CONST MontMax1 = 4.45 ;
	CONST MontMin2 = 4.70 ; CONST MontMax2 = 5.30 ;

# Gorgonian plain class boundaries
	CONST GorgMin1 = 6.03 ; CONST GorgMax1 = 6.70 ;
	CONST GorgMin2 =5.03 ; CONST GorgMax2 =5.60 ;

# Additional Gorgonian plain box for outlier ("bespoke" box-classifier)
	CONST GMin1 = 6.30 ; CONST GMax1 = 6.70 ;
	CONST GMin2 =5.60 ; CONST GMax2 =5.82 ;

# Sand box-classifier
	IF ( (@1 >= SandMin1) AND (@1 <= SandMax1) AND (@2 >= SandMin2) AND (@2 <= SandMax2) )  32  ELSE 0 ;

# Sparse seagrass box-classifier
	IF ( (@1 >= SpSeagMin1) AND (@1 <= SpSeagMax1) AND (@2 >= SpSeagMin2) AND (@2 <= SpSeagMax2) )  16 ELSE 0 ;

# Gorgonian plain box-classifier
	IF ( ( (@1 >= GorgMin1) AND (@1 <=GorgMax1) AND (@2 >= GorgMin2) AND (@2 <= GorgMax2) ) OR 
	 ( (@1 >= GMin1) AND (@1 <=GMax1) AND (@2 >= GMin2) AND (@2 <= GMax2) ) ) 8 ELSE 0 ;

# Lobophora dominated algal areas and coral patch reef  box-classifier
	IF ( (@1 >= LobCoralMin1) AND (@1 <= LobCoralMax1) AND (@2 >= LobCoralMin2) AND (@2 <= LobCoralMax2) )  4 ELSE 0 ;

# Dense seagrass box-classifier
	IF ( (@1 >= DenSeagMin1) AND (@1 <= DenSeagMax1) AND (@2 >= DenSeagMin2) AND (@2 <= DenSeagMax2) )  2 ELSE 0 ;

# Dense Montastrea reef box-classifier
	IF ( (@1 >= MontMin1) AND (@1 <= MontMax1) AND (@2 >= MontMin2) AND (@2 <= MontMax2) )  1 ELSE 0 ;